{
	"name": "schisandra-cloud-album-front-react",
	"private": true,
	"version": "0.0.0",
	"type": "module",
	"scripts": {
		"dev": "vite --mode development --host",
		"build": "tsc && vite build --mode production",
		"lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
		"preview": "vite preview"
	},
	"dependencies": {
		"@ant-design/icons": "^5.3.7",
		"@ant-design/pro-components": "^2.7.10",
		"@ant-design/use-emotion-css": "^1.0.4",
		"@babel/preset-env": "^7.24.7",
		"@types/crypto-js": "^4.2.2",
		"@types/react-calendar-heatmap": "^1.6.7",
		"@vitejs/plugin-legacy": "^5.4.1",
		"aieditor": "^1.0.12",
		"antd": "^5.19.1",
		"autoprefixer": "^10.4.19",
		"axios": "^1.7.2",
		"core-js": "^3.37.1",
		"crypto-js": "^4.2.0",
		"echarts-for-react": "^3.0.2",
		"jsencrypt": "^3.3.2",
		"localforage": "^1.10.0",
		"mobx": "^6.13.0",
		"mobx-persist-store": "^1.1.5",
		"mobx-react": "^9.1.1",
		"react": "^18.3.1",
		"react-calendar-heatmap": "^1.9.0",
		"react-dom": "^18.3.1",
		"react-infinite-scroll-component": "^6.1.0",
		"react-rotate-captcha": "^1.0.26",
		"react-router-dom": "^6.24.1",
		"regenerator-runtime": "^0.14.1",
		"timer-manager-lib": "^1.0.2",
		"vite-plugin-compression": "^0.5.1",
		"vite-plugin-html": "^3.2.2"
	},
	"devDependencies": {
		"@rollup/plugin-babel": "^6.0.4",
		"@types/node": "^20.14.10",
		"@types/react": "^18.3.3",
		"@types/react-dom": "^18.3.0",
		"@typescript-eslint/eslint-plugin": "^7.16.0",
		"@typescript-eslint/parser": "^7.16.0",
		"@vitejs/plugin-react": "^4.3.1",
		"eslint": "^8.57.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-prettier": "^5.1.3",
		"eslint-plugin-react": "^7.34.3",
		"eslint-plugin-react-hooks": "^4.6.2",
		"eslint-plugin-react-refresh": "^0.4.8",
		"less": "^4.2.0",
		"postcss-less": "^6.0.0",
		"postcss-preset-env": "^9.6.0",
		"prettier": "^3.3.2",
		"stylelint": "^16.6.1",
		"stylelint-config-recess-order": "^5.0.1",
		"stylelint-config-standard-less": "^3.0.1",
		"stylelint-order": "^6.0.4",
		"typescript": "^5.5.3",
		"vite": "^5.3.3",
		"vite-plugin-node-polyfills": "^0.22.0",
		"vite-plugin-svgr": "^4.2.0"
	}
}
